# Command: testsuite::test_distributed_collect_assert_or_die

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_distributed_collect_assert_or_die - self test of distributed_collect_assert_or_die

Synopsis:

    nest_indirect distributed_collect_assert_or_die.sli ->	-

Description:

      This is a self test of
      distributed_collect_assert_or_die. The function needs to be
      able to collect the results of an arbitrary number of jobs and
      checks whether all jobs return true for all runs.

      Author:  September 2010, Diesmann; May 2012, Plesser

SeeAlso:

- unittest::distributed_collect_assert_or_die
- testsuite::crash_distributed_collect_assert_or_die
- testsuite::fail_distributed_collect_assert_or_die

Source:

    /opt/conda/conda-bld/nest_1512420111240/work/nest-2.12.0/testsuite/mpi_selftests/pass/test_distributed_collect_assert_or_die.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative